# registerScope abstract method

void registerScope(

1. String scopeName,
2. PodScope scope

)

Registers a new scope with the given name.

Scopes control the lifecycle and visibility of pods. Common scopes include 'singleton', 'prototype', 'request', 'session', etc.

## Usage Example:

    factory.registerScope('request', RequestScope());
    factory.registerScope('session', SessionScope());

@param scopeName The name of the scope to register @param scope The scope implementation to register

## Implementation

    void registerScope(String scopeName, PodScope scope);